Page MenuHomePhabricator

[analyzer] [NFC] another very minor ExprEngineC refactoring
ClosedPublic

Authored by george.karpenkov on Nov 2 2017, 6:07 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

dcoughlin added inline comments.Nov 6 2017, 1:22 PM
lib/StaticAnalyzer/Core/ExprEngineC.cpp
26 ↗(On Diff #121426)

I think it would be more clear at the call site what the inputs and output are if this function returned the conjured SVal (or 'Symbol' if it wouldn't be conjured).

It would also be good to describe the role of the parameters in the doxygen comment.

george.karpenkov edited the summary of this revision. (Show Details)

Addressed review comments.

dcoughlin accepted this revision.Nov 9 2017, 3:07 PM

Yes, looks great. Thanks!

This revision is now accepted and ready to land.Nov 9 2017, 3:07 PM
This revision was automatically updated to reflect the committed changes.